SeExpr

Public Member Functions | Private Attributes | List of all members
SeExprInternal2::_SpinLock Class Reference

`#include <Platform.h>`

## Public Member Functions
| _SpinLock ()
| ~_SpinLock ()
void | lock ()
void | unlock ()

## Private Attributes
pthread_spinlock_t | _spinlock

## Detailed Description

Definition at line 218 of file Platform.h.

## Constructor & Destructor Documentation

## ◆ _SpinLock()

SeExprInternal2::_SpinLock::_SpinLock | ( |  | ) |
| inline

Definition at line 220 of file Platform.h.

References _spinlock.

## ◆ ~_SpinLock()

SeExprInternal2::_SpinLock::~_SpinLock | ( |  | ) |
| inline

Definition at line 221 of file Platform.h.

References _spinlock.

## Member Function Documentation

## ◆ lock()

void SeExprInternal2::_SpinLock::lock | ( |  | ) |
| inline

Definition at line 222 of file Platform.h.

References _spinlock.

## ◆ unlock()

void SeExprInternal2::_SpinLock::unlock | ( |  | ) |
| inline

Definition at line 223 of file Platform.h.

References _spinlock.

## Member Data Documentation

## ◆ _spinlock

pthread_spinlock_t SeExprInternal2::_SpinLock::_spinlock
| private

Definition at line 226 of file Platform.h.

Referenced by _SpinLock(), lock(), unlock(), and ~_SpinLock().

The documentation for this class was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Platform.h